# HG changeset patch
# Node ID f0a609b9d8cb
# Parent  62072a413983
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -119,8 +119,6 @@
 # Subdirectories
 ###############################################################################
 subdir('gplugin')
-subdir('gplugin-gtk3')
-subdir('gplugin-gtk3-viewer')
 subdir('gplugin-gtk4')
 subdir('gplugin-gtk4-viewer')
 subdir('gplugin-query')
@@ -136,9 +134,6 @@
 
 if get_option('doc')
 	doc_targets = [gplugin_doc]
-	if get_option('gtk3')
-		doc_targets += gplugin_gtk3_doc
-	endif
 	if GTK4.found()
 		doc_targets += gplugin_gtk4_doc
 	endif
@@ -155,7 +150,6 @@
 
 summary({
 	'api reference' : get_option('doc'),
-	'GTK3 widgets' : get_option('gtk3'),
 	'GTK4 widgets' : GTK4.found(),
 	'man pages' : get_option('help2man'),
 }, bool_yn : true, section : 'Miscellaneous')
diff --git a/packaging/debian/changelog b/packaging/debian/changelog
--- a/packaging/debian/changelog
+++ b/packaging/debian/changelog
@@ -1,11 +1,17 @@
-gplugin (0.35.0) UNRELEASED; urgency=medium
+gplugin (0.38.1) UNRELEASED; urgency=medium
+
+  * New upstream release.
+
+ -- Gary Kramlich <grim@reaperworld.com>  Fri, 02 Sep 2022 19:45:54 -0500
+
+gplugin (0.35.0) unstable; urgency=medium
 
   * Renamed gir1.2-gplugin-gtk-1.0 to gir1.2-gplugin-gtk3-1.0
   * Renamed libgplugin-gtk-bin to libgplugin-gtk3-bin
   * Renamed libgplugin-gtk-dev to libgplugin-gtk3-dev
   * Renamed libgplugin-gtk0 to libgplugin-gtk3-0
 
- -- Gary Kramlich <grim@reaperworld.com>  Wed, 29 Sep 2021 23:35:01 -0500
+ -- Gary Kramlich <grim@reaperworld.com>  Fri, 02 Sep 2022 19:45:51 -0500
 
 gplugin (0.28.3) unstable; urgency=medium
 
diff --git a/packaging/debian/control b/packaging/debian/control
--- a/packaging/debian/control
+++ b/packaging/debian/control
@@ -4,7 +4,7 @@
 Maintainer: Gary Kramlich <grim@reaperworld.com>
 Build-Depends: debhelper (>=9),
                meson (>=0.56.0), libglib2.0-dev,
-               libgtk-3-dev, libgtk-4-dev,
+               libgtk-4-dev,
                gettext, help2man,
                gobject-introspection, libgirepository1.0-dev,
                liblua5.3-dev, lua-lgi,
@@ -73,62 +73,10 @@
  .
  This package will install all of the gplugin loaders.
 
-Package: libgplugin-gtk3-0
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgtk-3-0, libgplugin0
-Conflicts: libgplugin-gtk0
-Replaces: libgplugin-gtk0
-Provides: libgplugin-gtk0
-Description: GTK3 bindings for GPlugin
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This library provides some default GTK3 widgets for GPlugin.
-
-Package: libgplugin-gtk3-dev
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libgtk-3-dev, libgplugin-gtk3-0 (= ${binary:Version})
-Conflicts: libgplugin-gtk-dev
-Replaces: libgplugin-gtk-dev
-Description: Development file for libgplugin-gtk3-0
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This library provides the developmental headers for the GPlugin GTK3 bindings.
-
-Package: libgplugin-gtk3-bin
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgplugin-gtk0
-Conflicts: libgplugin-gtk-bin
-Replaces: libgplugin-gtk-bin
-Description: Programs for the GTK3 interface to GPlugin
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package contains the gplugin-gtk3-viewer application for viewing plugins.
-
-Package: gir1.2-gplugin-gtk3-1.0
-Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, libgplugin0, libgplugin-gtk3-0
-Conflicts: gir1.2-gplugin-gtk-1.0
-Replaces: gir1.2-gplugin-gtk-1.0
-Section: introspection
-Description: typelib for libgplugin
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package can be used by other packages using the GIRepository format to
- generate dynamic bindings for libgplugin-gtk3.
-
 Package: libgplugin-gtk4-0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgtk-4-1, libgplugin0
-Description: GTK3 bindings for GPlugin
+Description: GTK4 bindings for GPlugin
  GPlugin is a GObject based library that implements a reusable plugin system
  which supports loading plugins in other languages via loaders. It relies
  heavily on GObjectIntrospection to expose its API to the other languages.
@@ -148,6 +96,18 @@
  .
  This library provides the developmental headers for the GPlugin GTK4 bindings.
 
+Package: libgplugin-gtk4-bin
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgplugin-gtk4-0
+Conflicts: libgplugin-gtk-bin
+Replaces: libgplugin-gtk-bin
+Description: Programs for the GTK4 interface to GPlugin
+ GPlugin is a GObject based library that implements a reusable plugin system
+ which supports loading plugins in other languages via loaders. It relies
+ heavily on GObjectIntrospection to expose its API to the other languages.
+ .
+ This package contains the gplugin-gtk4-viewer application for viewing plugins.
+
 Package: gir1.2-gplugin-gtk4-1.0
 Architecture: any
 Depends: ${gir:Depends}, ${misc:Depends}, libgplugin0, libgplugin-gtk4-0
diff --git a/packaging/debian/libgplugin-gtk4-bin.install b/packaging/debian/libgplugin-gtk4-bin.install
new file mode 100644
--- /dev/null
+++ b/packaging/debian/libgplugin-gtk4-bin.install
@@ -0,0 +1,3 @@
+debian/tmp/usr/bin/gplugin-gtk4-viewer
+debian/tmp/usr/share/man/man1/gplugin-gtk4-viewer.1
+
diff --git a/packaging/gplugin.spec.in b/packaging/gplugin.spec.in
--- a/packaging/gplugin.spec.in
+++ b/packaging/gplugin.spec.in
@@ -14,7 +14,6 @@
 BuildRequires:	glib2-devel >= 2.44.0
 BuildRequires:	gobject-introspection-devel
 BuildRequires:	gettext
-BuildRequires:	gtk3-devel
 BuildRequires:	gtk4-devel
 BuildRequires:	help2man
 BuildRequires:	libxslt
@@ -41,22 +40,6 @@
 Group:		Development/Libraries
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 
-%package gtk3
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-
-%package gtk3-devel
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-Requires:	%{name}-gtk3%{?_isa} = %{version}-%{release}
-Requires:	%{name}-devel%{?_isa} = %{version}-%{release}
-
-%package gtk3-vala
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-Requires:	%{name}-gtk3%{?_isa} = %{version}-%{release}
-Requires:	%{name}-devel%{?_isa} = %{version}-%{release}
-
 %package gtk4
 Summary:	A GObject based library that implements a reusable plugin system
 Group:		Development/Libraries
@@ -67,6 +50,12 @@
 Requires:	%{name}-gtk4%{?_isa} = %{version}-%{release}
 Requires:	%{name}-devel%{?_isa} = %{version}-%{release}
 
+%package gtk4-vala
+Summary:       A GObject based library that implements a reusable plugin system
+Group:         Development/Libraries
+Requires:      %{name}-gtk4%{?_isa} = %{version}-%{release}
+Requires:      %{name}-vala%{?_isa} = %{version}-%{release}
+
 %package lua
 Summary:	A GObject based library that implements a reusable plugin system
 Group:		Development/Libraries
@@ -102,29 +91,6 @@
 This package contains all necessary include files and libraries needed
 to develop applications that require these.
 
-%description gtk3
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains additional GTK3 dependencies for %{name} library.
-
-%description gtk3-devel
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains all necessary include files and libraries needed
-to develop GTK3 applications that require these.
-
-%description gtk3-vala
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains the vapi bindings allowing GPluginGtk3 to be used from
-vala.
-
 %description gtk4
 GPlugin is a GObject based library that implements a reusable plugin system
 that supports loading plugins in other languages via loaders.  GPlugin also
@@ -140,6 +106,14 @@
 This package contains all necessary include files and libraries needed
 to develop GTK4 applications that require these.
 
+%description gtk4-vala
+GPlugin is a GObject based library that implements a reusable plugin system
+that supports loading plugins in other languages via loaders.  GPlugin also
+implements dependencies among the plugins.
+
+This package contains the vapi bindings allowing GPluginGtk4 to be used from
+vala.
+
 %description lua
 GPlugin is a GObject based library that implements a reusable plugin system
 that supports loading plugins in other languages via loaders.  GPlugin also
@@ -185,9 +159,9 @@
 
 %postun  -n libgplugin0 -p /sbin/ldconfig
 
-%post -n gplugin-gtk3 -p /sbin/ldconfig
+%post -n gplugin-gtk4 -p /sbin/ldconfig
 
-%postun -n gplugin-gtk3 -p /sbin/ldconfig
+%postun -n gplugin-gtk4 -p /sbin/ldconfig
 
 %files
 %defattr(-,root,root)
@@ -216,35 +190,6 @@
 %{_libdir}/libgplugin.so.0
 %{_libdir}/pkgconfig/gplugin.pc
 
-%files gtk3
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_bindir}/gplugin-gtk3-viewer
-%{_libdir}/libgplugin-gtk3.so.0.1.0
-%{_mandir}/man1/gplugin-gtk3-viewer.1*
-
-%files gtk3-devel
-%defattr(-,root,root)
-%dir %{_datadir}/glade/catalogs/
-%doc README.md
-%license COPYING
-%{_datadir}/gir-1.0/GPluginGtk3-1.0.gir
-%{_datadir}/glade/catalogs/gplugin-gtk3.xml
-%{_datadir}/doc/gplugin-gtk3/
-%{_includedir}/gplugin-gtk3-1.0/
-%{_libdir}/girepository-1.0/GPluginGtk3-1.0.typelib
-%{_libdir}/libgplugin-gtk3.so
-%{_libdir}/libgplugin-gtk3.so.0
-%{_libdir}/pkgconfig/gplugin-gtk3.pc
-
-%files gtk3-vala
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_datadir}/vala/vapi/gplugin-gtk3.vapi
-%{_datadir}/vala/vapi/gplugin-gtk3.deps
-
 %files gtk4
 %defattr(-,root,root)
 %doc README.md
@@ -265,6 +210,13 @@
 %{_libdir}/libgplugin-gtk4.so.0
 %{_libdir}/pkgconfig/gplugin-gtk4.pc
 
+%files gtk4-vala
+%defattr(-,root,root)
+%doc README.md
+%license COPYING
+%{_datadir}/vala/vapi/gplugin-gtk4.vapi
+%{_datadir}/vala/vapi/gplugin-gtk4.deps
+
 %files lua
 %defattr(-,root,root)
 %doc README.md
@@ -291,6 +243,11 @@
 %{_datadir}/vala/vapi/gplugin.deps
 
 %changelog
+* Fri Sep 02 2022 Gary Kramlich <grim@reaperworld.com>
+- Removed gplugin-gtk3
+- Removed gplugin-gtk3-devel
+- Removed gplugin-gtk3-vala
+
 * Wed Sep 29 2021 Gary Kramlich <grim@reaperworld.com>
 - Renamed gplugin-gtk to gplugin-gtk3
 - Renamed gplugin-gtk-devel to gplugin-gtk3-devel
diff --git a/vala/meson.build b/vala/meson.build
--- a/vala/meson.build
+++ b/vala/meson.build
@@ -10,15 +10,6 @@
 		install : true,
 	)
 
-	if get_option('gtk3')
-		gplugin_gtk3_vapi = gnome.generate_vapi('gplugin-gtk3',
-			sources : gplugin_gtk3_gir[0],
-			packages : [ 'gtk+-3.0' ],
-			install : true,
-			gir_dirs : meson.current_build_dir() / '..' / 'gplugin',
-		)
-	endif
-
 	if get_option('gtk4').allowed()
 		gplugin_gtk4_vapi = gnome.generate_vapi('gplugin-gtk4',
 			sources : gplugin_gtk4_gir[0],
